module(..., package.seeall)
require("controllerfunctions")

default_action = "listchanges"

function status (self)
	return self.model.getstatus()
end

function listchanges (self)
	return self.model.list()
end

function config (self)
	return controllerfunctions.handle_form(self, self.model.getconfig, self.model.setconfig, self.clientdata, "Save", "Edit Config", "Configuration Set")
end

function editincluded (self)
	return controllerfunctions.handle_form(self, self.model.getincluded, self.model.setincluded, self.clientdata, "Save", "Edit Included Files", "Included files set")
end

function editexcluded (self)
	return controllerfunctions.handle_form(self, self.model.getexcluded, self.model.setexcluded, self.clientdata, "Save", "Edit Excluded Files", "Excluded files set")
end

function commit(self)
	return controllerfunctions.handle_form(self, self.model.getcommit, self.model.commit, self.clientdata, "Commit", "Commit Changes")
end

function expert (self)
	return controllerfunctions.handle_form(self, self.model.get_filedetails, self.model.set_filedetails, self.clientdata, "Save", "Edit Config File", "Configuration saved")
end

function listbackups(self)
	return self.model.getbackupfiles()
end
--[[
function deletebackup(self)
	return self:redirect_to_referrer(self.model.deletebackupfile(self.clientdata.backup))
end
--]]
function selectbackup(self)
	return self:redirect_to_referrer(self.model.selectbackupfile(self.clientdata.backup))
end

function getpackage(self)
	self.conf.viewtype = "stream"
	return self.model.getpackage()
end
