<% local view, viewlibrary, pageinfo, session = ... 
require("viewfunctions")
%>
<%
--[[ DEBUG INFORMATION
io.write("<H1>DEBUGGING</H1><span style='color:red'><H2>DEBUG INFO: CFE</H2>")
io.write(html.cfe_unpack(view))
io.write("</span>")
--]]
%>

<% displaycommandresults({"selectbackup"}, session) %>

<H1>Backup Archives</H1>
<DL>
<% if #view.value == 0 then %>
No backup files
<% else %>
	<table><tr>
		<td class="header">Action</td>
		<td class="header">File</td>
	</tr>
	<% for i,name in ipairs(view.value) do %>
		<tr><td>
			<%= html.link{value="selectbackup?backup="..name, label="Revert "} %>
		</td>
		<td><%= html.html_escape(name) %></td></tr>
	<% end
end %>
</table>
</DL>
