<% local view, viewlibrary, pageinfo, session = ... 
require("viewfunctions")
%>
<%
--[[ DEBUG INFORMATION
io.write("<H1>DEBUGGING</H1><span style='color:red'><H2>DEBUG INFO: CFE</H2>")
io.write(html.cfe_unpack(view))
io.write("</span>")
--]]
%>

<H1>System Info</H1>
<DL>
<%
if view.value.committed.value then
	view.value.committed.value = "There are no uncommitted files"
else
	view.value.committed.value = "WARNING!\nUntil you commit, you will lose your changes at next reboot/shutdown!"
end
view.value.committed.type = "string"
displayitem(view.value.committed)

for name,value in pairs(view.value) do
	if name ~= "committed" then
		displayitem(value)
	end
end %>
</DL>
